Index: modules/uoa-services-library/branches/angular-8/ng-openaire-library/src/app/dashboard/divId/divIds.component.ts
===================================================================
--- modules/uoa-services-library/branches/angular-8/ng-openaire-library/src/app/dashboard/divId/divIds.component.ts	(revision 61138)
+++ modules/uoa-services-library/branches/angular-8/ng-openaire-library/src/app/dashboard/divId/divIds.component.ts	(revision 61139)
@@ -22,8 +22,8 @@
 })
 
 export class DivIdsComponent implements OnInit {
-  @ViewChild('editModal') editModal: AlertModal;
-  @ViewChild('deleteModal') deleteModal: AlertModal;
+  @ViewChild('editModal', { static: true }) editModal: AlertModal;
+  @ViewChild('deleteModal', { static: true }) deleteModal: AlertModal;
   private selectedDivIds: string[] = [];
   public checkboxes: CheckDivId[] = [];
   public divIds: DivId[] = [];
@@ -38,12 +38,12 @@
   public filterForm: FormGroup;
   private subscriptions: any[] = [];
   public allPages: Option[] = [];
-  @ViewChild('PageInput') pageInput: ElementRef<HTMLInputElement>;
+  @ViewChild('PageInput', { static: false }) pageInput: ElementRef<HTMLInputElement>;
   selectedCommunityPid = null;
   public portalUtils: PortalUtils = new PortalUtils();
   private index: number;
   public selectedKeyword: string;
-  @ViewChild('searchInputComponent') searchInputComponent: SearchInputComponent;
+  @ViewChild('searchInputComponent', { static: false }) searchInputComponent: SearchInputComponent;
   
   constructor(private element: ElementRef, private route: ActivatedRoute, private _router: Router,
               private title: Title,
Index: modules/uoa-services-library/branches/angular-8/ng-openaire-library/src/app/dashboard/divId/divIds.module.ts
===================================================================
--- modules/uoa-services-library/branches/angular-8/ng-openaire-library/src/app/dashboard/divId/divIds.module.ts	(revision 61138)
+++ modules/uoa-services-library/branches/angular-8/ng-openaire-library/src/app/dashboard/divId/divIds.module.ts	(revision 61139)
@@ -9,7 +9,8 @@
 
 
 import {MatAutocompleteModule} from '@angular/material/autocomplete';
-import {MatCheckboxModule, MatFormFieldModule} from "@angular/material";
+import { MatCheckboxModule } from "@angular/material/checkbox";
+import { MatFormFieldModule } from "@angular/material/form-field";
 
 
 import {MatChipsModule} from '@angular/material/chips';
Index: modules/uoa-services-library/branches/angular-8/ng-openaire-library/src/app/dashboard/helpTexts/page-help-contents.component.ts
===================================================================
--- modules/uoa-services-library/branches/angular-8/ng-openaire-library/src/app/dashboard/helpTexts/page-help-contents.component.ts	(revision 61138)
+++ modules/uoa-services-library/branches/angular-8/ng-openaire-library/src/app/dashboard/helpTexts/page-help-contents.component.ts	(revision 61139)
@@ -26,7 +26,7 @@
   templateUrl: './page-help-contents.component.html',
 })
 export class PageHelpContentsComponent implements OnInit {
-  @ViewChild('AlertModalDeletePageHelpContents') alertModalDeletePageHelpContents;
+  @ViewChild('AlertModalDeletePageHelpContents', { static: true }) alertModalDeletePageHelpContents;
   private selectedPageContents: string[] = [];
   public checkboxes: CheckPageHelpContent[] = [];
   public pageHelpContents: PageHelpContent[] = [];
@@ -47,7 +47,7 @@
   public selectForm: FormControl;
   private subscriptions: any[] = [];
   public selectedKeyword: string;
-  @ViewChild('searchInputComponent') searchInputComponent: SearchInputComponent;
+  @ViewChild('searchInputComponent', { static: true }) searchInputComponent: SearchInputComponent;
   
   ngOnInit() {
     this.filterForm = this._fb.control('');
Index: modules/uoa-services-library/branches/angular-8/ng-openaire-library/src/app/dashboard/helpTexts/page-help-content-form.module.ts
===================================================================
--- modules/uoa-services-library/branches/angular-8/ng-openaire-library/src/app/dashboard/helpTexts/page-help-content-form.module.ts	(revision 61138)
+++ modules/uoa-services-library/branches/angular-8/ng-openaire-library/src/app/dashboard/helpTexts/page-help-content-form.module.ts	(revision 61139)
@@ -8,7 +8,7 @@
 import {PageHelpContentFormRoutingModule} from './page-help-content-form-routing.module';
 import {AdminToolServiceModule} from '../../services/adminToolService.module';
 import {InputModule} from '../../sharedComponents/input/input.module';
-import {MatSlideToggleModule} from '@angular/material';
+import { MatSlideToggleModule } from '@angular/material/slide-toggle';
 import {IconsModule} from '../../utils/icons/icons.module';
 import {PageContentModule} from '../sharedComponents/page-content/page-content.module';
 import {RouterModule} from '@angular/router';
Index: modules/uoa-services-library/branches/angular-8/ng-openaire-library/src/app/dashboard/helpTexts/page-help-contents.module.ts
===================================================================
--- modules/uoa-services-library/branches/angular-8/ng-openaire-library/src/app/dashboard/helpTexts/page-help-contents.module.ts	(revision 61138)
+++ modules/uoa-services-library/branches/angular-8/ng-openaire-library/src/app/dashboard/helpTexts/page-help-contents.module.ts	(revision 61139)
@@ -5,7 +5,7 @@
 import {AlertModalModule} from '../../utils/modal/alertModal.module';
 import {PageHelpContentsComponent} from './page-help-contents.component';
 import {SafeHtmlPipeModule} from '../../utils/pipes/safeHTMLPipe.module';
-import {MatSlideToggleModule} from '@angular/material';
+import { MatSlideToggleModule } from '@angular/material/slide-toggle';
 import {AdminToolServiceModule} from '../../services/adminToolService.module';
 import {InputModule} from '../../sharedComponents/input/input.module';
 import {PageHelpContentsRoutingModule} from './page-help-contents-routing.module';
Index: modules/uoa-services-library/branches/angular-8/ng-openaire-library/src/app/dashboard/portal/portals.component.ts
===================================================================
--- modules/uoa-services-library/branches/angular-8/ng-openaire-library/src/app/dashboard/portal/portals.component.ts	(revision 61138)
+++ modules/uoa-services-library/branches/angular-8/ng-openaire-library/src/app/dashboard/portal/portals.component.ts	(revision 61139)
@@ -24,8 +24,8 @@
 
 export class PortalsComponent implements OnInit {
   
-  @ViewChild('editModal') editModal: AlertModal;
-  @ViewChild('deleteModal') deleteModal: AlertModal;
+  @ViewChild('editModal', { static: true }) editModal: AlertModal;
+  @ViewChild('deleteModal', { static: true }) deleteModal: AlertModal;
   private selectedPortals: string[] = [];
   
   public checkboxes: CheckPortal[] = [];
@@ -44,7 +44,7 @@
   public portalUtils: PortalUtils = new PortalUtils();
   private index: number;
   public selectedKeyword: string;
-  @ViewChild('searchInputComponent') searchInputComponent: SearchInputComponent;
+  @ViewChild('searchInputComponent', { static: false }) searchInputComponent: SearchInputComponent;
   
   constructor(private element: ElementRef, private route: ActivatedRoute,
               private title: Title,
Index: modules/uoa-services-library/branches/angular-8/ng-openaire-library/src/app/dashboard/users/role-users/role-users.component.ts
===================================================================
--- modules/uoa-services-library/branches/angular-8/ng-openaire-library/src/app/dashboard/users/role-users/role-users.component.ts	(revision 61138)
+++ modules/uoa-services-library/branches/angular-8/ng-openaire-library/src/app/dashboard/users/role-users/role-users.component.ts	(revision 61139)
@@ -58,10 +58,10 @@
   pageSize: number = 5;
   /** Search */
   filterForm: FormGroup;
-  @ViewChild('inviteModal') inviteModal: AlertModal;
-  @ViewChild('deleteModal') deleteModal: AlertModal;
-  @ViewChild('deletePendingModal') deletePendingModal: AlertModal;
-  @ViewChild('createRoleModal') createRoleModal: AlertModal;
+  @ViewChild('inviteModal', { static: true }) inviteModal: AlertModal;
+  @ViewChild('deleteModal', { static: true }) deleteModal: AlertModal;
+  @ViewChild('deletePendingModal', { static: true }) deletePendingModal: AlertModal;
+  @ViewChild('createRoleModal', { static: true }) createRoleModal: AlertModal;
   
   constructor(private userRegistryService: UserRegistryService,
               private userManagementService: UserManagementService,
Index: modules/uoa-services-library/branches/angular-8/ng-openaire-library/src/app/dashboard/users/subscribers/subscribers.component.ts
===================================================================
--- modules/uoa-services-library/branches/angular-8/ng-openaire-library/src/app/dashboard/users/subscribers/subscribers.component.ts	(revision 61138)
+++ modules/uoa-services-library/branches/angular-8/ng-openaire-library/src/app/dashboard/users/subscribers/subscribers.component.ts	(revision 61139)
@@ -54,10 +54,10 @@
   pageSize: number = 5;
   /** Search */
   filterForm: FormGroup;
-  @ViewChild('inviteModal') inviteModal: AlertModal;
-  @ViewChild('deleteModal') deleteModal: AlertModal;
-  @ViewChild('createRoleModal') createRoleModal: AlertModal;
-  @ViewChild('subscriberInvite') subscriberInvite: SubscriberInviteComponent;
+  @ViewChild('inviteModal', { static: false }) inviteModal: AlertModal;
+  @ViewChild('deleteModal', { static: true }) deleteModal: AlertModal;
+  @ViewChild('createRoleModal', { static: true }) createRoleModal: AlertModal;
+  @ViewChild('subscriberInvite', { static: false }) subscriberInvite: SubscriberInviteComponent;
   
   constructor(private userRegistryService: UserRegistryService,
               private userManagementService: UserManagementService,
Index: modules/uoa-services-library/branches/angular-8/ng-openaire-library/src/app/dashboard/divhelpcontent/class-help-contents.module.ts
===================================================================
--- modules/uoa-services-library/branches/angular-8/ng-openaire-library/src/app/dashboard/divhelpcontent/class-help-contents.module.ts	(revision 61138)
+++ modules/uoa-services-library/branches/angular-8/ng-openaire-library/src/app/dashboard/divhelpcontent/class-help-contents.module.ts	(revision 61139)
@@ -6,7 +6,7 @@
 import {FormsModule, ReactiveFormsModule} from '@angular/forms';
 import {AlertModalModule} from '../../utils/modal/alertModal.module';
 import {SafeHtmlPipeModule} from '../../utils/pipes/safeHTMLPipe.module';
-import {MatSlideToggleModule} from '@angular/material';
+import { MatSlideToggleModule } from '@angular/material/slide-toggle';
 import {AdminToolServiceModule} from '../../services/adminToolService.module';
 import {InputModule} from '../../sharedComponents/input/input.module';
 import {SearchInputModule} from '../../sharedComponents/search-input/search-input.module';
Index: modules/uoa-services-library/branches/angular-8/ng-openaire-library/src/app/dashboard/divhelpcontent/class-help-contents.component.ts
===================================================================
--- modules/uoa-services-library/branches/angular-8/ng-openaire-library/src/app/dashboard/divhelpcontent/class-help-contents.component.ts	(revision 61138)
+++ modules/uoa-services-library/branches/angular-8/ng-openaire-library/src/app/dashboard/divhelpcontent/class-help-contents.component.ts	(revision 61139)
@@ -24,7 +24,7 @@
 })
 export class ClassHelpContentsComponent implements OnInit {
 
-  @ViewChild('AlertModalDeletePageHelpContents') alertModalDeletePageHelpContents;
+  @ViewChild('AlertModalDeletePageHelpContents', { static: true }) alertModalDeletePageHelpContents;
   private selectedPageContents: string[] = [];
 
   public checkboxes: CheckDivHelpContent[] = [];
@@ -60,7 +60,7 @@
   public selectForm: FormControl;
   private subscriptions: any[] = [];
   public selectedKeyword: string;
-  @ViewChild('searchInputComponent') searchInputComponent: SearchInputComponent;
+  @ViewChild('searchInputComponent', { static: true }) searchInputComponent: SearchInputComponent;
 
   ngOnInit() {
     this.filterForm = this._fb.control('');
Index: modules/uoa-services-library/branches/angular-8/ng-openaire-library/src/app/dashboard/divhelpcontent/class-help-content-form.module.ts
===================================================================
--- modules/uoa-services-library/branches/angular-8/ng-openaire-library/src/app/dashboard/divhelpcontent/class-help-content-form.module.ts	(revision 61138)
+++ modules/uoa-services-library/branches/angular-8/ng-openaire-library/src/app/dashboard/divhelpcontent/class-help-content-form.module.ts	(revision 61139)
@@ -6,7 +6,7 @@
 import {CKEditorModule} from 'ng2-ckeditor';
 import {AdminToolServiceModule} from '../../services/adminToolService.module';
 import {InputModule} from '../../sharedComponents/input/input.module';
-import {MatSlideToggleModule} from '@angular/material';
+import { MatSlideToggleModule } from '@angular/material/slide-toggle';
 import {IconsModule} from '../../utils/icons/icons.module';
 import {RouterModule} from '@angular/router';
 import {LoadingModule} from '../../utils/loading/loading.module';
Index: modules/uoa-services-library/branches/angular-8/ng-openaire-library/src/app/dashboard/entity/entities.component.ts
===================================================================
--- modules/uoa-services-library/branches/angular-8/ng-openaire-library/src/app/dashboard/entity/entities.component.ts	(revision 61138)
+++ modules/uoa-services-library/branches/angular-8/ng-openaire-library/src/app/dashboard/entity/entities.component.ts	(revision 61139)
@@ -24,9 +24,9 @@
 })
 export class EntitiesComponent implements OnInit {
   
-  @ViewChild('editModal') editModal: AlertModal;
-  @ViewChild('deleteModal') deleteModal: AlertModal;
-  @ViewChild('relatedPages') relatedPages: AlertModal;
+  @ViewChild('editModal', { static: true }) editModal: AlertModal;
+  @ViewChild('deleteModal', { static: true }) deleteModal: AlertModal;
+  @ViewChild('relatedPages', { static: true }) relatedPages: AlertModal;
   private selectedEntities: string[] = [];
   
   public checkboxes: CheckEntity[] = [];
@@ -51,7 +51,7 @@
   private subscriptions: any[] = [];
   private index: number;
   public selectedKeyword: string;
-  @ViewChild('searchInputComponent') searchInputComponent: SearchInputComponent;
+  @ViewChild('searchInputComponent', { static: false }) searchInputComponent: SearchInputComponent;
   
   constructor(private element: ElementRef, private route: ActivatedRoute,
               private _router: Router, private title: Title,
Index: modules/uoa-services-library/branches/angular-8/ng-openaire-library/src/app/dashboard/entity/entities.module.ts
===================================================================
--- modules/uoa-services-library/branches/angular-8/ng-openaire-library/src/app/dashboard/entity/entities.module.ts	(revision 61138)
+++ modules/uoa-services-library/branches/angular-8/ng-openaire-library/src/app/dashboard/entity/entities.module.ts	(revision 61139)
@@ -4,7 +4,7 @@
 import {EntitiesComponent} from './entities.component';
 import {FormsModule, ReactiveFormsModule} from '@angular/forms';
 import {AlertModalModule} from '../../utils/modal/alertModal.module';
-import {MatSlideToggleModule} from '@angular/material';
+import { MatSlideToggleModule } from '@angular/material/slide-toggle';
 import {AdminToolServiceModule} from "../../services/adminToolService.module";
 import {InputModule} from "../../sharedComponents/input/input.module";
 import {PageContentModule} from "../sharedComponents/page-content/page-content.module";
Index: modules/uoa-services-library/branches/angular-8/ng-openaire-library/src/app/dashboard/page/pages.component.ts
===================================================================
--- modules/uoa-services-library/branches/angular-8/ng-openaire-library/src/app/dashboard/page/pages.component.ts	(revision 61138)
+++ modules/uoa-services-library/branches/angular-8/ng-openaire-library/src/app/dashboard/page/pages.component.ts	(revision 61139)
@@ -26,8 +26,8 @@
 })
 export class PagesComponent implements OnInit {
   
-  @ViewChild('editModal') editModal: AlertModal;
-  @ViewChild('deleteModal') deleteModal: AlertModal;
+  @ViewChild('editModal', { static: true }) editModal: AlertModal;
+  @ViewChild('deleteModal', { static: true }) deleteModal: AlertModal;
   private selectedPages: string[] = [];
   
   public checkboxes: CheckPage[] = [];
@@ -63,7 +63,7 @@
   public portalUtils: PortalUtils = new PortalUtils();
   private index: number;
   public selectedKeyword: string;
-  @ViewChild('searchInputComponent') searchInputComponent: SearchInputComponent;
+  @ViewChild('searchInputComponent', { static: false }) searchInputComponent: SearchInputComponent;
   pageHelpContentsCount = {};
   pageClassContentsCount = {};
   
Index: modules/uoa-services-library/branches/angular-8/ng-openaire-library/src/app/dashboard/page/pages.module.ts
===================================================================
--- modules/uoa-services-library/branches/angular-8/ng-openaire-library/src/app/dashboard/page/pages.module.ts	(revision 61138)
+++ modules/uoa-services-library/branches/angular-8/ng-openaire-library/src/app/dashboard/page/pages.module.ts	(revision 61139)
@@ -4,7 +4,10 @@
 import {FormsModule, ReactiveFormsModule} from '@angular/forms';
 import {AlertModalModule} from '../../utils/modal/alertModal.module';
 import {PagesComponent} from './pages.component';
-import {MatAutocompleteModule, MatChipsModule, MatFormFieldModule, MatSlideToggleModule} from '@angular/material';
+import { MatAutocompleteModule } from '@angular/material/autocomplete';
+import { MatChipsModule } from '@angular/material/chips';
+import { MatFormFieldModule } from '@angular/material/form-field';
+import { MatSlideToggleModule } from '@angular/material/slide-toggle';
 import {AdminToolServiceModule} from "../../services/adminToolService.module";
 import {InputModule} from "../../sharedComponents/input/input.module";
 import {AdminTabsModule} from "../sharedComponents/admin-tabs/admin-tabs.module";
Index: modules/uoa-services-library/branches/angular-8/ng-openaire-library/src/app/dashboard/sharedComponents/page-content/page-content.component.ts
===================================================================
--- modules/uoa-services-library/branches/angular-8/ng-openaire-library/src/app/dashboard/sharedComponents/page-content/page-content.component.ts	(revision 61138)
+++ modules/uoa-services-library/branches/angular-8/ng-openaire-library/src/app/dashboard/sharedComponents/page-content/page-content.component.ts	(revision 61139)
@@ -26,7 +26,7 @@
 export class PageContentComponent implements OnDestroy, AfterViewInit{
   public height = 0;
   private subscription: Subscription;
-  @ViewChild('header') header: ElementRef;
+  @ViewChild('header', { static: true }) header: ElementRef;
   
   constructor(private cdr: ChangeDetectorRef) {
   }