Index: modules/cnr-enabling-inspector/trunk/src/main/java/eu/dnetlib/enabling/inspector/QueryController.java
===================================================================
--- modules/cnr-enabling-inspector/trunk/src/main/java/eu/dnetlib/enabling/inspector/QueryController.java	(revision 45134)
+++ modules/cnr-enabling-inspector/trunk/src/main/java/eu/dnetlib/enabling/inspector/QueryController.java	(revision 45135)
@@ -1,10 +1,14 @@
 package eu.dnetlib.enabling.inspector;
 
-import java.util.ArrayList;
-import java.util.List;
+import java.util.*;
+import java.util.stream.Collectors;
+import java.util.stream.StreamSupport;
 
 import javax.annotation.Resource;
 
+import com.google.common.base.Function;
+import com.google.common.collect.Iterators;
+import com.google.common.collect.Lists;
 import org.apache.commons.lang.StringEscapeUtils;
 import org.apache.commons.logging.Log;
 import org.apache.commons.logging.LogFactory;
@@ -14,7 +18,6 @@
 import org.springframework.web.bind.annotation.RequestParam;
 import org.xmldb.api.base.XMLDBException;
 
-import eu.dnetlib.xml.database.XMLDBResultSet;
 import eu.dnetlib.xml.database.XMLDatabase;
 
 /**
@@ -58,14 +61,14 @@
 			log.info("running query: " + query);
 
 			try {
-				final XMLDBResultSet res = xmlDatabase.xquery(query);
-				model.addAttribute("size", res.getSize());
-				
-				final List<String> results = new ArrayList<String>();
-				for (int i = 0; i < res.getSize(); i++)
-					results.add(linkTool.linkfyToHtml(StringEscapeUtils.escapeHtml(res.get(i))));
+				final Iterator<String> it = xmlDatabase.xquery(query);
+				final List<String> res = StreamSupport.stream(Spliterators.spliteratorUnknownSize(it, Spliterator.IMMUTABLE), false)
+						.map(StringEscapeUtils::escapeHtml)
+						.map(linkTool::linkfyToHtml)
+						.collect(Collectors.toList());
 
-				model.addAttribute("results", results);
+				model.addAttribute("size", res.size());
+				model.addAttribute("results", res);
 			} catch (XMLDBException e) {
 				model.addAttribute("message", "failed: " + e.getMessage());
 			}
Index: modules/cnr-enabling-inspector/trunk/src/main/java/eu/dnetlib/enabling/inspector/ResourceTreeController.java
===================================================================
--- modules/cnr-enabling-inspector/trunk/src/main/java/eu/dnetlib/enabling/inspector/ResourceTreeController.java	(revision 45134)
+++ modules/cnr-enabling-inspector/trunk/src/main/java/eu/dnetlib/enabling/inspector/ResourceTreeController.java	(revision 45135)
@@ -34,9 +34,8 @@
 
 /**
  * test controller.
- * 
+ *
  * @author marko
- * 
  */
 @Controller
 public class ResourceTreeController extends AbstractInspectorController { // NOPMD
@@ -43,9 +42,8 @@
 
 	/**
 	 * The list view uses this model to represent a collection
-	 * 
+	 *
 	 * @author marko
-	 * 
 	 */
 	public class CollectionModel {
 
@@ -72,11 +70,11 @@
 
 		/**
 		 * We want to be able to skip useless collections which have only one child collection etc etc.
-		 * 
 		 * <p>
+		 * <p>
 		 * This method returns us the deepest path containing only one collection at each level
 		 * </p>
-		 * 
+		 *
 		 * @return list of collection names to be displayed in one "row"
 		 */
 		public Collection<CollectionModel> getCollectionPath() {
@@ -96,7 +94,7 @@
 
 		/**
 		 * Uri is computed from relative base path.
-		 * 
+		 *
 		 * @return
 		 */
 		public String getUrl() {
@@ -153,7 +151,7 @@
 
 	/**
 	 * handles relative paths.
-	 * 
+	 *
 	 * @return redirect
 	 */
 	// @RequestMapping("/inspector/")
@@ -163,7 +161,7 @@
 
 	/**
 	 * handles relative paths.
-	 * 
+	 *
 	 * @return redirect
 	 */
 	@RequestMapping("/inspector/index.do")
@@ -173,13 +171,10 @@
 
 	/**
 	 * index.
-	 * 
-	 * @param model
-	 *            model
-	 * @param request
-	 *            http request
-	 * @throws XMLDBException
-	 *             happens
+	 *
+	 * @param model   model
+	 * @param request http request
+	 * @throws XMLDBException happens
 	 */
 	@RequestMapping("/inspector/index.do/**/list")
 	String list(final Model model, final HttpServletRequest request) throws XMLDBException {
@@ -213,11 +208,9 @@
 
 	/**
 	 * return a list of pairs (name, relative url bases) for each path component.
-	 * 
-	 * @param path
-	 *            slash separated path
-	 * @param base
-	 *            prepend this to all paths
+	 *
+	 * @param path slash separated path
+	 * @param base prepend this to all paths
 	 * @return list of path components
 	 */
 	private List<Map<String, String>> extractPathComponents(final String path, final String base) {
@@ -241,14 +234,11 @@
 
 	/**
 	 * show a file.
-	 * 
-	 * @param model
-	 *            model
-	 * @param request
-	 *            request
+	 *
+	 * @param model   model
+	 * @param request request
 	 * @return view name
-	 * @throws XMLDBException
-	 *             happens
+	 * @throws XMLDBException happens
 	 */
 	@RequestMapping("/inspector/index.do/**/show")
 	String show(final Model model, final HttpServletRequest request) throws XMLDBException {
@@ -303,18 +293,14 @@
 
 	/**
 	 * Show raw profile.
-	 * 
-	 * @param model
-	 *            mvc model
-	 * @param request
-	 *            servlet request
-	 * @return mvc view
-	 * @throws XMLDBException
-	 *             could happen
+	 *
+	 * @param request  servlet request
+	 * @param response servlet response
+	 * @throws XMLDBException could happen
 	 * @throws IOException
 	 */
 	@RequestMapping("/inspector/index.do/**/raw")
-	void raw(final HttpServletRequest request, final HttpServletResponse response) throws XMLDBException, IOException {
+	public void raw(final HttpServletRequest request, final HttpServletResponse response) throws XMLDBException, IOException {
 
 		final String path = request.getPathInfo().replace(INDEX_DO, "").replace("/raw", "");
 		// log.info("index: " + path);
@@ -337,17 +323,14 @@
 
 	/**
 	 * show a file editor.
-	 * 
-	 * @param model
-	 *            model
-	 * @param request
-	 *            request
+	 *
+	 * @param model   model
+	 * @param request request
 	 * @return view name
-	 * @throws XMLDBException
-	 *             happens
+	 * @throws XMLDBException happens
 	 */
 	@RequestMapping("/inspector/index.do/**/edit")
-	String edit(final Model model, final HttpServletRequest request) throws XMLDBException {
+	public String edit(final Model model, final HttpServletRequest request) throws XMLDBException {
 
 		final String path = request.getPathInfo().replace(INDEX_DO, "").replace("/edit", "");
 
@@ -368,17 +351,14 @@
 
 	/**
 	 * update or create a file.
-	 * 
-	 * @param model
-	 *            model
-	 * @param request
-	 *            request
+	 *
+	 * @param model   model
+	 * @param request request
 	 * @return view name
-	 * @throws XMLDBException
-	 *             happens
+	 * @throws XMLDBException happens
 	 */
 	@RequestMapping("/inspector/index.do/**/save")
-	String save(final Model model, final HttpServletRequest request) throws XMLDBException {
+	public String save(final Model model, final HttpServletRequest request) throws XMLDBException {
 
 		final String path = request.getPathInfo().replace(INDEX_DO, "").replace("/save", "");
 
@@ -400,17 +380,14 @@
 
 	/**
 	 * delete a file.
-	 * 
-	 * @param model
-	 *            model
-	 * @param request
-	 *            request
+	 *
+	 * @param model   model
+	 * @param request request
 	 * @return view name
-	 * @throws XMLDBException
-	 *             happens
+	 * @throws XMLDBException happens
 	 */
 	@RequestMapping("/inspector/index.do/**/delete")
-	String delete(final Model model, final HttpServletRequest request) throws XMLDBException {
+	public String delete(final Model model, final HttpServletRequest request) throws XMLDBException {
 
 		final String path = request.getPathInfo().replace(INDEX_DO, "").replace("/delete", "");
 
@@ -426,17 +403,14 @@
 
 	/**
 	 * delete a collection.
-	 * 
-	 * @param model
-	 *            model
-	 * @param request
-	 *            request
+	 *
+	 * @param model   model
+	 * @param request request
 	 * @return view name
-	 * @throws XMLDBException
-	 *             happens
+	 * @throws XMLDBException happens
 	 */
 	@RequestMapping("/inspector/index.do/**/deleteCollection")
-	String deleteCollection(final Model model, final HttpServletRequest request) throws XMLDBException {
+	public String deleteCollection(final Model model, final HttpServletRequest request) throws XMLDBException {
 
 		final String path = request.getPathInfo().replace(INDEX_DO, "").replace("/deleteCollection", "");
 
@@ -447,39 +421,30 @@
 
 	/**
 	 * present a create form for new subcollection
-	 * 
-	 * @param model
-	 *            model
-	 * @param request
-	 *            request
+	 *
+	 * @param model   model
+	 * @param request request
 	 * @return view name
-	 * @throws XMLDBException
-	 *             happens
+	 * @throws XMLDBException happens
 	 */
 	@RequestMapping("/inspector/index.do/**/createsubcoll")
-	String createSubCollection(final Model model, final HttpServletRequest request) throws XMLDBException {
+	public String createSubCollection(final Model model, final HttpServletRequest request) throws XMLDBException {
 		return "inspector/createsubcoll";
 	}
 
 	/**
-	 * 
-	 * 
-	 * @param model
-	 *            model
-	 * @param request
-	 *            request
+	 * @param request request
 	 * @return view name
-	 * @throws XMLDBException
-	 *             happens
+	 * @throws XMLDBException happens
 	 */
 	@RequestMapping("/inspector/index.do/**/savesubcoll")
-	String saveSubCollection(final Model model, final HttpServletRequest request, @RequestParam("collectionPath") final String collectionPath)
+	public String saveSubCollection(final HttpServletRequest request, @RequestParam("collectionPath") final String collectionPath)
 			throws XMLDBException {
 		final String path = request.getPathInfo().replace(INDEX_DO, "").replace("/savesubcoll", "");
 		String fullPath = path + "/" + collectionPath;
 		log.info("Creating subcollection: " + fullPath);
 		if (!xmlDatabase.collectionExists(fullPath)) {
-			xmlDatabase.createCollection(fullPath, true);
+			xmlDatabase.createCollection(fullPath);
 		} else {
 			log.info("Subcollection: " + fullPath + " already exists");
 		}
@@ -488,28 +453,24 @@
 
 	/**
 	 * present a create form which will redirect to the edit form.
-	 * 
-	 * @param model
-	 *            model
-	 * @param request
-	 *            request
+	 *
+	 * @param model   model
+	 * @param request request
 	 * @return view name
-	 * @throws XMLDBException
-	 *             happens
+	 * @throws XMLDBException happens
 	 */
 	@RequestMapping("/inspector/index.do/**/create")
-	String create(final Model model, final HttpServletRequest request) throws XMLDBException {
+	public String create(final Model model, final HttpServletRequest request) throws XMLDBException {
 		return "inspector/create";
 	}
 
 	/**
 	 * sample controller.
-	 * 
-	 * @param model
-	 *            model
+	 *
+	 * @param model model
 	 */
 	@RequestMapping("/inspector/gadget.do")
-	void gadget(final Model model) {
+	public void gadget(final Model model) {
 		log.info("GADGED CALLED");
 
 		model.addAttribute("items", new String[] { "one", "two", "three" });
Index: modules/cnr-enabling-inspector/trunk/pom.xml
===================================================================
--- modules/cnr-enabling-inspector/trunk/pom.xml	(revision 45134)
+++ modules/cnr-enabling-inspector/trunk/pom.xml	(revision 45135)
@@ -2,8 +2,8 @@
 <project xmlns="http://maven.apache.org/POM/4.0.0" xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" xsi:schemaLocation="http://maven.apache.org/POM/4.0.0 http://maven.apache.org/maven-v4_0_0.xsd">
 	<parent>
 		<groupId>eu.dnetlib</groupId>
-		<artifactId>dnet-parent</artifactId>
-		<version>1.0.0</version>
+		<artifactId>dnet45-parent</artifactId>
+		<version>1.0.0-SNAPSHOT</version>
 	</parent>
 	<modelVersion>4.0.0</modelVersion>
 	<groupId>eu.dnetlib</groupId>
@@ -11,7 +11,7 @@
 	<packaging>jar</packaging>
 	<version>2.0.2-SNAPSHOT</version>
 <scm>
-    <developerConnection>scm:svn:https://svn.driver.research-infrastructures.eu/driver/dnet40/modules/cnr-enabling-inspector/trunk</developerConnection>
+    <developerConnection>scm:svn:https://svn.driver.research-infrastructures.eu/driver/dnet45/modules/cnr-enabling-inspector/trunk</developerConnection>
     </scm>
 	<dependencies>
 		<dependency>