Index: modules/dnet-msro-service-api/trunk/src/main/java/eu/dnetlib/msro/rmi/MSRORuntimeException.java
===================================================================
--- modules/dnet-msro-service-api/trunk/src/main/java/eu/dnetlib/msro/rmi/MSRORuntimeException.java	(nonexistent)
+++ modules/dnet-msro-service-api/trunk/src/main/java/eu/dnetlib/msro/rmi/MSRORuntimeException.java	(revision 45174)
@@ -0,0 +1,20 @@
+package eu.dnetlib.msro.rmi;
+
+/**
+ * Created by alessia on 26/01/16.
+ */
+public class MSRORuntimeException extends RuntimeException {
+
+	public MSRORuntimeException(String string) {
+		super(string);
+	}
+
+	public MSRORuntimeException(String string, Throwable exception) {
+		super(string, exception);
+	}
+
+	public MSRORuntimeException(Throwable exception) {
+		super(exception);
+	}
+
+}
Index: modules/dnet-msro-service-api/trunk/src/main/java/eu/dnetlib/msro/rmi/MSROService.java
===================================================================
--- modules/dnet-msro-service-api/trunk/src/main/java/eu/dnetlib/msro/rmi/MSROService.java	(nonexistent)
+++ modules/dnet-msro-service-api/trunk/src/main/java/eu/dnetlib/msro/rmi/MSROService.java	(revision 45174)
@@ -0,0 +1,10 @@
+package eu.dnetlib.msro.rmi;
+
+import javax.jws.WebService;
+
+import eu.dnetlib.common.rmi.BaseService;
+
+@WebService(targetNamespace = "http://services.dnetlib.eu/")
+public interface MSROService extends BaseService {
+
+}
Index: modules/dnet-msro-service-api/trunk/src/main/java/eu/dnetlib/msro/rmi/MSROException.java
===================================================================
--- modules/dnet-msro-service-api/trunk/src/main/java/eu/dnetlib/msro/rmi/MSROException.java	(nonexistent)
+++ modules/dnet-msro-service-api/trunk/src/main/java/eu/dnetlib/msro/rmi/MSROException.java	(revision 45174)
@@ -0,0 +1,24 @@
+package eu.dnetlib.msro.rmi;
+
+import eu.dnetlib.common.rmi.RMIException;
+
+public class MSROException extends RMIException {
+
+	/**
+	 * 
+	 */
+	private static final long serialVersionUID = 767303634254723704L;
+
+	public MSROException(String string) {
+		super(string);
+	}
+	
+	public MSROException(String string, Throwable exception) {
+		super(string, exception);
+	}
+
+	public MSROException(Throwable exception) {
+		super(exception);
+	}
+
+}
\ No newline at end of file
Index: modules/dnet-msro-service-api/trunk/pom.xml
===================================================================
--- modules/dnet-msro-service-api/trunk/pom.xml	(nonexistent)
+++ modules/dnet-msro-service-api/trunk/pom.xml	(revision 45174)
@@ -0,0 +1,25 @@
+<?xml version="1.0" encoding="UTF-8"?>
+<project xmlns="http://maven.apache.org/POM/4.0.0" xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" xsi:schemaLocation="http://maven.apache.org/POM/4.0.0 http://maven.apache.org/maven-v4_0_0.xsd">
+  <parent>
+    <groupId>eu.dnetlib</groupId>
+    <artifactId>dnet-parent</artifactId>
+    <version>1.0.0</version>
+    <relativePath />
+  </parent>
+  
+  <modelVersion>4.0.0</modelVersion>
+  <groupId>eu.dnetlib</groupId>
+  <artifactId>dnet-msro-service-api</artifactId>
+  <packaging>jar</packaging>
+  <version>2.0.1-SNAPSHOT</version>
+  	<scm>
+		<developerConnection>scm:svn:https://svn.driver.research-infrastructures.eu/driver/dnet40/modules/dnet-msro-service-api/trunk</developerConnection>
+	</scm>
+  <dependencies>
+    <dependency>
+      <groupId>eu.dnetlib</groupId>
+      <artifactId>cnr-rmi-api</artifactId>
+      <version>[2.0.0,3.0.0)</version>
+    </dependency>
+  </dependencies>
+</project>
Index: modules/dnet-msro-service-api/trunk/deploy.info
===================================================================
--- modules/dnet-msro-service-api/trunk/deploy.info	(nonexistent)
+++ modules/dnet-msro-service-api/trunk/deploy.info	(revision 45174)
@@ -0,0 +1 @@
+{"type_source": "SVN", "goal": "package -U -T 4C source:jar", "url": "http://svn-public.driver.research-infrastructures.eu/driver/dnet40/modules/dnet-msro-service-api/trunk/", "deploy_repository": "dnet4-snapshots", "version": "4", "mail": "sandro.labruzzo@isti.cnr.it,michele.artini@isti.cnr.it, claudio.atzori@isti.cnr.it, alessia.bardi@isti.cnr.it", "deploy_repository_url": "http://maven.research-infrastructures.eu/nexus/content/repositories/dnet4-snapshots", "name": "dnet-msro-service-api"}
\ No newline at end of file
Index: modules/dnet-msro-service-api/trunk
===================================================================
--- modules/dnet-msro-service-api/trunk	(nonexistent)
+++ modules/dnet-msro-service-api/trunk	(revision 45174)

Property changes on: modules/dnet-msro-service-api/trunk
___________________________________________________________________
Added: svn:ignore
## -0,0 +1,5 ##
+.settings
+.classpath
+.project
+target
+
Index: modules/dnet-msro-service-api/tags/dnet-msro-service-api-2.0.0/pom.xml
===================================================================
--- modules/dnet-msro-service-api/tags/dnet-msro-service-api-2.0.0/pom.xml	(nonexistent)
+++ modules/dnet-msro-service-api/tags/dnet-msro-service-api-2.0.0/pom.xml	(revision 45174)
@@ -0,0 +1,25 @@
+<?xml version="1.0" encoding="UTF-8"?>
+<project xmlns="http://maven.apache.org/POM/4.0.0" xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" xsi:schemaLocation="http://maven.apache.org/POM/4.0.0 http://maven.apache.org/maven-v4_0_0.xsd">
+  <parent>
+    <groupId>eu.dnetlib</groupId>
+    <artifactId>dnet-parent</artifactId>
+    <version>1.0.0</version>
+    <relativePath />
+  </parent>
+  
+  <modelVersion>4.0.0</modelVersion>
+  <groupId>eu.dnetlib</groupId>
+  <artifactId>dnet-msro-service-api</artifactId>
+  <packaging>jar</packaging>
+  <version>2.0.0</version>
+  	<scm>
+		<developerConnection>scm:svn:https://svn.driver.research-infrastructures.eu/driver/dnet40/modules/dnet-msro-service-api/tags/dnet-msro-service-api-2.0.0</developerConnection>
+	</scm>
+  <dependencies>
+    <dependency>
+      <groupId>eu.dnetlib</groupId>
+      <artifactId>cnr-rmi-api</artifactId>
+      <version>[2.0.0,3.0.0)</version>
+    </dependency>
+  </dependencies>
+</project>
Index: modules/dnet-msro-service-api/tags/dnet-msro-service-api-2.0.0/deploy.info
===================================================================
--- modules/dnet-msro-service-api/tags/dnet-msro-service-api-2.0.0/deploy.info	(nonexistent)
+++ modules/dnet-msro-service-api/tags/dnet-msro-service-api-2.0.0/deploy.info	(revision 45174)
@@ -0,0 +1 @@
+{"type_source": "SVN", "goal": "package -U -T 4C source:jar", "url": "http://svn-public.driver.research-infrastructures.eu/driver/dnet40/modules/dnet-msro-service-api/trunk/", "deploy_repository": "dnet4-snapshots", "version": "4", "mail": "sandro.labruzzo@isti.cnr.it,michele.artini@isti.cnr.it, claudio.atzori@isti.cnr.it, alessia.bardi@isti.cnr.it", "deploy_repository_url": "http://maven.research-infrastructures.eu/nexus/content/repositories/dnet4-snapshots", "name": "dnet-msro-service-api"}
\ No newline at end of file
Index: modules/dnet-msro-service-api/tags/dnet-msro-service-api-2.0.0/src/main/java/eu/dnetlib/msro/rmi/MSROService.java
===================================================================
--- modules/dnet-msro-service-api/tags/dnet-msro-service-api-2.0.0/src/main/java/eu/dnetlib/msro/rmi/MSROService.java	(nonexistent)
+++ modules/dnet-msro-service-api/tags/dnet-msro-service-api-2.0.0/src/main/java/eu/dnetlib/msro/rmi/MSROService.java	(revision 45174)
@@ -0,0 +1,10 @@
+package eu.dnetlib.msro.rmi;
+
+import javax.jws.WebService;
+
+import eu.dnetlib.common.rmi.BaseService;
+
+@WebService(targetNamespace = "http://services.dnetlib.eu/")
+public interface MSROService extends BaseService {
+
+}
Index: modules/dnet-msro-service-api/tags/dnet-msro-service-api-2.0.0/src/main/java/eu/dnetlib/msro/rmi/MSROException.java
===================================================================
--- modules/dnet-msro-service-api/tags/dnet-msro-service-api-2.0.0/src/main/java/eu/dnetlib/msro/rmi/MSROException.java	(nonexistent)
+++ modules/dnet-msro-service-api/tags/dnet-msro-service-api-2.0.0/src/main/java/eu/dnetlib/msro/rmi/MSROException.java	(revision 45174)
@@ -0,0 +1,24 @@
+package eu.dnetlib.msro.rmi;
+
+import eu.dnetlib.common.rmi.RMIException;
+
+public class MSROException extends RMIException {
+
+	/**
+	 * 
+	 */
+	private static final long serialVersionUID = 767303634254723704L;
+
+	public MSROException(String string) {
+		super(string);
+	}
+	
+	public MSROException(String string, Throwable exception) {
+		super(string, exception);
+	}
+
+	public MSROException(Throwable exception) {
+		super(exception);
+	}
+
+}
\ No newline at end of file
Index: modules/dnet-msro-service-api/tags/dnet-msro-service-api-2.0.0
===================================================================
--- modules/dnet-msro-service-api/tags/dnet-msro-service-api-2.0.0	(nonexistent)
+++ modules/dnet-msro-service-api/tags/dnet-msro-service-api-2.0.0	(revision 45174)

Property changes on: modules/dnet-msro-service-api/tags/dnet-msro-service-api-2.0.0
___________________________________________________________________
Added: svn:ignore
## -0,0 +1,5 ##
+.settings
+.classpath
+.project
+target
+