Index: modules/dnet-openaire-projects-exporter/trunk/src/test/java/eu/dnetlib/openaire/exporter/ProjectsControllerTest.java
===================================================================
--- modules/dnet-openaire-projects-exporter/trunk/src/test/java/eu/dnetlib/openaire/exporter/ProjectsControllerTest.java	(revision 46539)
+++ modules/dnet-openaire-projects-exporter/trunk/src/test/java/eu/dnetlib/openaire/exporter/ProjectsControllerTest.java	(revision 46540)
@@ -4,6 +4,8 @@
 
 import org.antlr.stringtemplate.StringTemplate;
 import org.apache.commons.io.IOUtils;
+import org.apache.commons.logging.Log;
+import org.apache.commons.logging.LogFactory;
 import org.junit.Before;
 import org.junit.Test;
 import org.springframework.core.io.ClassPathResource;
@@ -13,6 +15,7 @@
 
 public class ProjectsControllerTest {
 
+	private static final Log log = LogFactory.getLog(ProjectsControllerTest.class);
 	private String queryTemplate = "/eu/dnetlib/openaire/exporter/sql/projects_fundings.sql.st";
 
 	private Resource expectedQueryTemplate = new ClassPathResource("/eu/dnetlib/openaire/exporter/sql/expected_projects_fundings.sql.st");
@@ -36,8 +39,8 @@
 		String res = controller.obtainQuery(params);
 		final StringTemplate st = new StringTemplate(IOUtils.toString(expectedQueryTemplate.getInputStream(),  ProjectsController.UTF8));
 		st.setAttribute("fundingprefix", "ec__________::EC::FP7");
-		System.out.println(res);
-		System.out.println(st);
+		log.debug(res);
+		log.debug(st);
 		assertEquals(st.toString(), res);
 	}
 
@@ -48,7 +51,7 @@
 		String res = controller.obtainQuery(params);
 		final StringTemplate st = new StringTemplate(IOUtils.toString(expectedQueryTemplate.getInputStream(),  ProjectsController.UTF8));
 		st.setAttribute("fundingprefix", "ec__________::EC::FP7::SP1");
-		System.out.println(res);
+		log.debug(res);
 		assertEquals(st.toString(), res);
 	}
 
@@ -59,7 +62,7 @@
 		String res = controller.obtainQuery(params);
 		final StringTemplate st = new StringTemplate(IOUtils.toString(expectedQueryTemplate.getInputStream(),  ProjectsController.UTF8));
 		st.setAttribute("fundingprefix", "ec__________::EC::FP7::SP1::HEALTH");
-		System.out.println(res);
+		log.debug(res);
 		assertEquals(st.toString(), res);
 	}
 
@@ -70,7 +73,7 @@
 		String res = controller.obtainQuery(params);
 		final StringTemplate st = new StringTemplate(IOUtils.toString(expectedQueryTemplate.getInputStream(),  ProjectsController.UTF8));
 		st.setAttribute("fundingprefix", "ec__________::EC::FP7::%::HEALTH");
-		System.out.println(res);
+		log.debug(res);
 		assertEquals(st.toString(), res);
 	}
 
@@ -81,7 +84,7 @@
 		String res = controller.obtainQuery(params);
 		final StringTemplate st = new StringTemplate(IOUtils.toString(expectedQueryTemplate.getInputStream(),  ProjectsController.UTF8));
 		st.setAttribute("fundingprefix", "wt__________::WT");
-		System.out.println(res);
+		log.debug(res);
 		assertEquals(st.toString(), res);
 	}
 
@@ -92,7 +95,7 @@
 		String res = controller.obtainQuery(params);
 		final StringTemplate st = new StringTemplate(IOUtils.toString(expectedQueryTemplate.getInputStream(),  ProjectsController.UTF8));
 		st.setAttribute("fundingprefix", "fct_________::FCT");
-		System.out.println(res);
+		log.debug(res);
 		assertEquals(st.toString(), res);
 	}
 
@@ -102,7 +105,7 @@
 		params.setFundingPath(null);
 		params.setStartFrom("2015-05-04");
 		String res = controller.obtainQuery(params);
-		System.out.println(res);
+		log.debug(res);
 		final StringTemplate st = new StringTemplate(IOUtils.toString(expectedQueryTemplate.getInputStream(),  ProjectsController.UTF8));
 		st.setAttribute("fundingprefix", "wt__________::WT");
 		String q = st.toString() + " AND startdate >= '2015-05-04'";
@@ -116,7 +119,7 @@
 		String res = controller.obtainQuery(params);
 		final StringTemplate st = new StringTemplate(IOUtils.toString(expectedQueryTemplate.getInputStream(),  ProjectsController.UTF8));
 		st.setAttribute("fundingprefix", "snsf________::SNSF");
-		System.out.println(res);
+		log.debug(res);
 		assertEquals(st.toString(), res);
 	}
 
Index: modules/dnet-openaire-projects-exporter/trunk/src/test/resources/log4j.properties
===================================================================
--- modules/dnet-openaire-projects-exporter/trunk/src/test/resources/log4j.properties	(nonexistent)
+++ modules/dnet-openaire-projects-exporter/trunk/src/test/resources/log4j.properties	(revision 46540)
@@ -0,0 +1,13 @@
+### Root Level ###
+log4j.rootLogger=WARN, CONSOLE
+
+### Configuration for the CONSOLE appender ###
+log4j.appender.CONSOLE=org.apache.log4j.ConsoleAppender
+log4j.appender.CONSOLE.layout=org.apache.log4j.PatternLayout
+log4j.appender.CONSOLE.layout.ConversionPattern=[%-5p] %d %c - %m%n
+
+org.apache.cxf.Logger=org.apache.cxf.common.logging.Log4jLogger
+
+### Application Level ###
+log4j.logger.eu.dnetlib=INFO
+log4j.logger.eu.dnetlib.openaire.exporter=DEBUG