Index: modules/dnet-openaire-projects-exporter/trunk/src/test/resources/log4j.properties
===================================================================
--- modules/dnet-openaire-projects-exporter/trunk/src/test/resources/log4j.properties	(revision 46545)
+++ modules/dnet-openaire-projects-exporter/trunk/src/test/resources/log4j.properties	(nonexistent)
@@ -1,13 +0,0 @@
-### Root Level ###
-log4j.rootLogger=WARN, CONSOLE
-
-### Configuration for the CONSOLE appender ###
-log4j.appender.CONSOLE=org.apache.log4j.ConsoleAppender
-log4j.appender.CONSOLE.layout=org.apache.log4j.PatternLayout
-log4j.appender.CONSOLE.layout.ConversionPattern=[%-5p] %d %c - %m%n
-
-org.apache.cxf.Logger=org.apache.cxf.common.logging.Log4jLogger
-
-### Application Level ###
-log4j.logger.eu.dnetlib=INFO
-log4j.logger.eu.dnetlib.openaire.exporter=INFO
Index: modules/dnet-openaire-projects-exporter/trunk/src/test/java/eu/dnetlib/openaire/exporter/ProjectsControllerTest.java
===================================================================
--- modules/dnet-openaire-projects-exporter/trunk/src/test/java/eu/dnetlib/openaire/exporter/ProjectsControllerTest.java	(revision 46545)
+++ modules/dnet-openaire-projects-exporter/trunk/src/test/java/eu/dnetlib/openaire/exporter/ProjectsControllerTest.java	(revision 46546)
@@ -8,11 +8,16 @@
 import org.apache.commons.logging.LogFactory;
 import org.junit.Before;
 import org.junit.Test;
+import org.junit.runner.RunWith;
+import org.springframework.boot.test.context.SpringBootTest;
 import org.springframework.core.io.ClassPathResource;
 import org.springframework.core.io.Resource;
+import org.springframework.test.context.junit4.SpringJUnit4ClassRunner;
 
 import static org.junit.Assert.assertEquals;
-
+@RunWith(SpringJUnit4ClassRunner.class)
+//@ContextConfiguration(classes={TestConfiguration.class})
+@SpringBootTest
 public class ProjectsControllerTest {
 
 	private static final Log log = LogFactory.getLog(ProjectsControllerTest.class);
Index: modules/dnet-openaire-projects-exporter/trunk/src/test/resources/logback-test.xml
===================================================================
--- modules/dnet-openaire-projects-exporter/trunk/src/test/resources/logback-test.xml	(nonexistent)
+++ modules/dnet-openaire-projects-exporter/trunk/src/test/resources/logback-test.xml	(revision 46546)
@@ -0,0 +1,16 @@
+<?xml version="1.0" encoding="UTF-8"?>
+<configuration>
+	<include resource="org/springframework/boot/logging/logback/base.xml"/>
+	<logger name="org.springframework" level="OFF">
+		<appender-ref ref="CONSOLE" />
+	</logger>
+	<logger name="root" level="OFF">
+		<appender-ref ref="CONSOLE" />
+	</logger>
+	<logger name="eu.dnetlib" level="INFO">
+		<appender-ref ref="CONSOLE" />
+	</logger>
+	<logger name="eu.dnetlib.openaire.exporter" level="INFO">
+		<appender-ref ref="CONSOLE" />
+	</logger>
+</configuration>
\ No newline at end of file
Index: modules/dnet-openaire-projects-exporter/trunk/src/main/resources/logback-spring.xml
===================================================================
--- modules/dnet-openaire-projects-exporter/trunk/src/main/resources/logback-spring.xml	(nonexistent)
+++ modules/dnet-openaire-projects-exporter/trunk/src/main/resources/logback-spring.xml	(revision 46546)
@@ -0,0 +1,16 @@
+<?xml version="1.0" encoding="UTF-8"?>
+<configuration>
+	<include resource="org/springframework/boot/logging/logback/base.xml"/>
+	<logger name="org.springframework" level="OFF">
+		<appender-ref ref="CONSOLE" />
+	</logger>
+	<logger name="root" level="OFF">
+		<appender-ref ref="CONSOLE" />
+	</logger>
+	<logger name="eu.dnetlib" level="INFO">
+		<appender-ref ref="CONSOLE" />
+	</logger>
+	<logger name="eu.dnetlib.openaire.exporter" level="DEBUG">
+		<appender-ref ref="CONSOLE" />
+	</logger>
+</configuration>
\ No newline at end of file
Index: modules/dnet-openaire-projects-exporter/trunk/src/main/resources/application.properties
===================================================================
--- modules/dnet-openaire-projects-exporter/trunk/src/main/resources/application.properties	(revision 46545)
+++ modules/dnet-openaire-projects-exporter/trunk/src/main/resources/application.properties	(revision 46546)
@@ -12,4 +12,4 @@
 openaire.exporter.jdbc.minIdle=1
 openaire.exporter.jdbc.maxIdle=20
 openaire.exporter.jdbc.maxrows=100
-openaire.exporter.projectdetails.flushsize=1000
\ No newline at end of file
+openaire.exporter.projectdetails.flushsize=1000