Index: modules/dnet-container-parent/trunk/dnet45-container-parent.iml
===================================================================
--- modules/dnet-container-parent/trunk/dnet45-container-parent.iml	(revision 47131)
+++ modules/dnet-container-parent/trunk/dnet45-container-parent.iml	(nonexistent)
@@ -1,80 +0,0 @@
-<?xml version="1.0" encoding="UTF-8"?>
-<module org.jetbrains.idea.maven.project.MavenProjectsManager.isMavenModule="true" type="JAVA_MODULE" version="4">
-  <component name="NewModuleRootManager" LANGUAGE_LEVEL="JDK_1_8" inherit-compiler-output="false">
-    <output url="file://$MODULE_DIR$/target/classes" />
-    <output-test url="file://$MODULE_DIR$/target/test-classes" />
-    <content url="file://$MODULE_DIR$">
-      <sourceFolder url="file://$MODULE_DIR$/src/main/java" isTestSource="false" />
-      <sourceFolder url="file://$MODULE_DIR$/src/main/resources" type="java-resource" />
-      <excludeFolder url="file://$MODULE_DIR$/target" />
-    </content>
-    <orderEntry type="inheritedJdk" />
-    <orderEntry type="sourceFolder" forTests="false" />
-    <orderEntry type="library" name="Maven: org.slf4j:slf4j-api:1.6.1" level="project" />
-    <orderEntry type="library" name="Maven: org.springframework:spring-beans:4.2.5.RELEASE" level="project" />
-    <orderEntry type="library" name="Maven: org.springframework:spring-core:4.2.5.RELEASE" level="project" />
-    <orderEntry type="library" name="Maven: commons-logging:commons-logging:1.2" level="project" />
-    <orderEntry type="library" name="Maven: org.springframework:spring-web:4.2.5.RELEASE" level="project" />
-    <orderEntry type="library" name="Maven: org.springframework:spring-aop:4.2.5.RELEASE" level="project" />
-    <orderEntry type="library" name="Maven: aopalliance:aopalliance:1.0" level="project" />
-    <orderEntry type="library" name="Maven: org.springframework:spring-context:4.2.5.RELEASE" level="project" />
-    <orderEntry type="library" name="Maven: org.springframework:spring-webmvc:4.2.5.RELEASE" level="project" />
-    <orderEntry type="library" name="Maven: org.springframework:spring-expression:4.2.5.RELEASE" level="project" />
-    <orderEntry type="library" name="Maven: org.apache.cxf:cxf-rt-frontend-jaxws:3.1.5" level="project" />
-    <orderEntry type="library" name="Maven: xml-resolver:xml-resolver:1.2" level="project" />
-    <orderEntry type="library" name="Maven: org.ow2.asm:asm:5.0.4" level="project" />
-    <orderEntry type="library" name="Maven: org.apache.cxf:cxf-core:3.1.5" level="project" />
-    <orderEntry type="library" name="Maven: org.codehaus.woodstox:woodstox-core-asl:4.4.1" level="project" />
-    <orderEntry type="library" name="Maven: org.codehaus.woodstox:stax2-api:3.1.4" level="project" />
-    <orderEntry type="library" name="Maven: org.apache.ws.xmlschema:xmlschema-core:2.2.1" level="project" />
-    <orderEntry type="library" name="Maven: org.apache.cxf:cxf-rt-bindings-soap:3.1.5" level="project" />
-    <orderEntry type="library" name="Maven: org.apache.cxf:cxf-rt-wsdl:3.1.5" level="project" />
-    <orderEntry type="library" name="Maven: org.apache.cxf:cxf-rt-databinding-jaxb:3.1.5" level="project" />
-    <orderEntry type="library" name="Maven: com.sun.xml.bind:jaxb-impl:2.2.11" level="project" />
-    <orderEntry type="library" name="Maven: com.sun.xml.bind:jaxb-core:2.2.11" level="project" />
-    <orderEntry type="library" name="Maven: org.apache.cxf:cxf-rt-bindings-xml:3.1.5" level="project" />
-    <orderEntry type="library" name="Maven: org.apache.cxf:cxf-rt-frontend-simple:3.1.5" level="project" />
-    <orderEntry type="library" name="Maven: org.apache.cxf:cxf-rt-ws-addr:3.1.5" level="project" />
-    <orderEntry type="library" name="Maven: org.apache.cxf:cxf-rt-transports-http:3.1.5" level="project" />
-    <orderEntry type="library" name="Maven: org.apache.cxf:cxf-rt-ws-policy:3.1.5" level="project" />
-    <orderEntry type="library" name="Maven: wsdl4j:wsdl4j:1.6.3" level="project" />
-    <orderEntry type="library" name="Maven: org.apache.neethi:neethi:3.0.3" level="project" />
-    <orderEntry type="library" name="Maven: org.apache.cxf:cxf-rt-ws-rm:3.1.5" level="project" />
-    <orderEntry type="library" name="Maven: org.apache.cxf:cxf-rt-management:3.1.5" level="project" />
-    <orderEntry type="library" name="Maven: org.apache.wss4j:wss4j-policy:2.1.4" level="project" />
-    <orderEntry type="library" scope="TEST" name="Maven: org.apache.cxf:cxf-rt-ws-security:3.1.5" level="project" />
-    <orderEntry type="library" scope="TEST" name="Maven: org.apache.cxf:cxf-rt-security-saml:3.1.5" level="project" />
-    <orderEntry type="library" scope="TEST" name="Maven: org.apache.cxf:cxf-rt-security:3.1.5" level="project" />
-    <orderEntry type="library" scope="TEST" name="Maven: org.apache.wss4j:wss4j-ws-security-common:2.1.4" level="project" />
-    <orderEntry type="library" scope="TEST" name="Maven: org.apache.santuario:xmlsec:2.0.5" level="project" />
-    <orderEntry type="library" scope="TEST" name="Maven: commons-codec:commons-codec:1.10" level="project" />
-    <orderEntry type="library" scope="TEST" name="Maven: org.opensaml:opensaml-saml-impl:3.1.1" level="project" />
-    <orderEntry type="library" scope="TEST" name="Maven: org.opensaml:opensaml-profile-api:3.1.1" level="project" />
-    <orderEntry type="library" scope="TEST" name="Maven: org.opensaml:opensaml-core:3.1.1" level="project" />
-    <orderEntry type="library" scope="TEST" name="Maven: org.opensaml:opensaml-saml-api:3.1.1" level="project" />
-    <orderEntry type="library" scope="TEST" name="Maven: org.opensaml:opensaml-xmlsec-api:3.1.1" level="project" />
-    <orderEntry type="library" scope="TEST" name="Maven: org.opensaml:opensaml-soap-api:3.1.1" level="project" />
-    <orderEntry type="library" scope="TEST" name="Maven: org.opensaml:opensaml-security-impl:3.1.1" level="project" />
-    <orderEntry type="library" scope="TEST" name="Maven: org.opensaml:opensaml-security-api:3.1.1" level="project" />
-    <orderEntry type="library" scope="TEST" name="Maven: org.cryptacular:cryptacular:1.0" level="project" />
-    <orderEntry type="library" scope="TEST" name="Maven: org.opensaml:opensaml-xmlsec-impl:3.1.1" level="project" />
-    <orderEntry type="library" scope="TEST" name="Maven: net.shibboleth.utilities:java-support:7.1.1" level="project" />
-    <orderEntry type="library" scope="TEST" name="Maven: com.google.guava:guava:18.0" level="project" />
-    <orderEntry type="library" scope="TEST" name="Maven: joda-time:joda-time:2.7" level="project" />
-    <orderEntry type="library" scope="TEST" name="Maven: org.opensaml:opensaml-xacml-impl:3.1.1" level="project" />
-    <orderEntry type="library" scope="TEST" name="Maven: org.opensaml:opensaml-xacml-api:3.1.1" level="project" />
-    <orderEntry type="library" scope="TEST" name="Maven: org.opensaml:opensaml-xacml-saml-impl:3.1.1" level="project" />
-    <orderEntry type="library" scope="TEST" name="Maven: org.opensaml:opensaml-xacml-saml-api:3.1.1" level="project" />
-    <orderEntry type="library" scope="TEST" name="Maven: org.jasypt:jasypt:1.9.2" level="project" />
-    <orderEntry type="library" scope="TEST" name="Maven: org.apache.geronimo.specs:geronimo-javamail_1.4_spec:1.7.1" level="project" />
-    <orderEntry type="library" scope="TEST" name="Maven: org.apache.wss4j:wss4j-ws-security-dom:2.1.4" level="project" />
-    <orderEntry type="library" scope="TEST" name="Maven: org.apache.wss4j:wss4j-ws-security-stax:2.1.4" level="project" />
-    <orderEntry type="library" scope="TEST" name="Maven: org.apache.wss4j:wss4j-bindings:2.1.4" level="project" />
-    <orderEntry type="library" scope="TEST" name="Maven: org.apache.wss4j:wss4j-ws-security-policy-stax:2.1.4" level="project" />
-    <orderEntry type="library" name="Maven: eu.dnetlib:cnr-config:1.0.2-SNAPSHOT" level="project" />
-    <orderEntry type="library" name="Maven: eu.dnetlib:dnet-runtime:1.0.1-SNAPSHOT" level="project" />
-    <orderEntry type="library" name="Maven: commons-lang:commons-lang:2.6" level="project" />
-    <orderEntry type="library" name="Maven: eu.dnetlib:cnr-log4j-management:1.0.1-SNAPSHOT" level="project" />
-    <orderEntry type="library" name="Maven: log4j:log4j:1.2.17" level="project" />
-  </component>
-</module>
\ No newline at end of file
Index: modules/dnet-container-parent/trunk/src/main/java/eu/dnetlib/swagger/configuration/ApiOriginFilter.java
===================================================================
--- modules/dnet-container-parent/trunk/src/main/java/eu/dnetlib/swagger/configuration/ApiOriginFilter.java	(revision 47131)
+++ modules/dnet-container-parent/trunk/src/main/java/eu/dnetlib/swagger/configuration/ApiOriginFilter.java	(nonexistent)
@@ -1,24 +0,0 @@
-package eu.dnetlib.swagger.configuration;
-
-import java.io.IOException;
-import javax.servlet.http.HttpServletResponse;
-
-public class ApiOriginFilter implements Filter {
-	@Override
-	public void doFilter(ServletRequest request, ServletResponse response,
-			FilterChain chain) throws IOException, ServletException {
-		HttpServletResponse res = (HttpServletResponse) response;
-		res.addHeader("Access-Control-Allow-Origin", "*");
-		res.addHeader("Access-Control-Allow-Methods", "GET, POST, DELETE, PUT");
-		res.addHeader("Access-Control-Allow-Headers", "Content-Type");
-		chain.doFilter(request, response);
-	}
-
-	@Override
-	public void destroy() {
-	}
-
-	@Override
-	public void init(FilterConfig filterConfig) throws ServletException {
-	}
-}

Property changes on: modules/dnet-container-parent/trunk/src/main/java/eu/dnetlib/swagger/configuration/ApiOriginFilter.java
___________________________________________________________________
Deleted: svn:executable
## -1 +0,0 ##
-*
\ No newline at end of property
Index: modules/dnet-container-parent/trunk/src/main/java/eu/dnetlib/swagger/configuration/HomeController.java
===================================================================
--- modules/dnet-container-parent/trunk/src/main/java/eu/dnetlib/swagger/configuration/HomeController.java	(revision 47131)
+++ modules/dnet-container-parent/trunk/src/main/java/eu/dnetlib/swagger/configuration/HomeController.java	(nonexistent)
@@ -1,16 +0,0 @@
-package eu.dnetlib.swagger.configuration;
-
-import org.springframework.stereotype.Controller;
-import org.springframework.web.bind.annotation.RequestMapping;
-
-/**
- * Home redirection to swagger api documentation 
- */
-@Controller
-public class HomeController {
-
-	@RequestMapping(value = "/docs")
-	public String index() {
-		return "redirect:swagger-ui.html";
-	}
-}

Property changes on: modules/dnet-container-parent/trunk/src/main/java/eu/dnetlib/swagger/configuration/HomeController.java
___________________________________________________________________
Deleted: svn:executable
## -1 +0,0 ##
-*
\ No newline at end of property
Index: modules/dnet-container-parent/trunk/src/main/java/eu/dnetlib/swagger/configuration/ApiResponseMessage.java
===================================================================
--- modules/dnet-container-parent/trunk/src/main/java/eu/dnetlib/swagger/configuration/ApiResponseMessage.java	(revision 47131)
+++ modules/dnet-container-parent/trunk/src/main/java/eu/dnetlib/swagger/configuration/ApiResponseMessage.java	(nonexistent)
@@ -1,68 +0,0 @@
-package eu.dnetlib.swagger.configuration;
-
-import javax.xml.bind.annotation.XmlTransient;
-
-@javax.xml.bind.annotation.XmlRootElement
-public class ApiResponseMessage {
-	public static final int ERROR = 1;
-	public static final int WARNING = 2;
-	public static final int INFO = 3;
-	public static final int OK = 4;
-	public static final int TOO_BUSY = 5;
-
-	int code;
-	String type;
-	String message;
-	
-	public ApiResponseMessage(){}
-	
-	public ApiResponseMessage(int code, String message){
-		this.code = code;
-		switch(code){
-		case ERROR:
-			setType("error");
-			break;
-		case WARNING:
-			setType("warning");
-			break;
-		case INFO:
-			setType("info");
-			break;
-		case OK:
-			setType("ok");
-			break;
-		case TOO_BUSY:
-			setType("too busy");
-			break;
-		default:
-			setType("unknown");
-			break;
-		}
-		this.message = message;
-	}
-
-	@XmlTransient
-	public int getCode() {
-		return code;
-	}
-
-	public void setCode(int code) {
-		this.code = code;
-	}
-
-	public String getType() {
-		return type;
-	}
-
-	public void setType(String type) {
-		this.type = type;
-	}
-
-	public String getMessage() {
-		return message;
-	}
-
-	public void setMessage(String message) {
-		this.message = message;
-	}
-}

Property changes on: modules/dnet-container-parent/trunk/src/main/java/eu/dnetlib/swagger/configuration/ApiResponseMessage.java
___________________________________________________________________
Deleted: svn:executable
## -1 +0,0 ##
-*
\ No newline at end of property
Index: modules/dnet-container-parent/trunk/src/main/java/eu/dnetlib/swagger/configuration/SwaggerDocumentationConfig.java
===================================================================
--- modules/dnet-container-parent/trunk/src/main/java/eu/dnetlib/swagger/configuration/SwaggerDocumentationConfig.java	(revision 47131)
+++ modules/dnet-container-parent/trunk/src/main/java/eu/dnetlib/swagger/configuration/SwaggerDocumentationConfig.java	(nonexistent)
@@ -1,66 +0,0 @@
-package eu.dnetlib.swagger.configuration;
-
-import eu.dnetlib.common.rmi.DNetRestDocumentation;
-import org.springframework.beans.factory.annotation.Value;
-import org.springframework.context.annotation.Bean;
-import org.springframework.context.annotation.Configuration;
-import springfox.documentation.builders.ApiInfoBuilder;
-import springfox.documentation.builders.RequestHandlerSelectors;
-import springfox.documentation.service.ApiInfo;
-import springfox.documentation.service.Contact;
-import springfox.documentation.spi.DocumentationType;
-import springfox.documentation.spring.web.plugins.Docket;
-import springfox.documentation.swagger2.annotations.EnableSwagger2;
-
-@Configuration
-@EnableSwagger2
-public class SwaggerDocumentationConfig {
-
-    @Value("${api.rest.contact.name}")
-    private String contactName;
-
-    @Value("${api.rest.contact.url}")
-    private String contactUrl;
-
-    @Value("${api.rest.contact.email}")
-    private String contactEmail;
-
-	@Value("${api.rest.title}")
-	private String title;
-
-	@Value("${api.rest.description}")
-	private String description;
-
-	@Value("${api.rest.license}")
-	private String license;
-	@Value("${api.rest.license.url}")
-	private String licenseUrl;
-
-    @Bean
-    public Docket customImplementation(){
-        return new Docket(DocumentationType.SWAGGER_2)
-                .select()
-			        //.apis(RequestHandlerSelectors.any())
-                    //.apis(RequestHandlerSelectors.basePackage("eu.dnetlib.**.controller.*"))
-		            //.apis(RequestHandlerSelectors.withClassAnnotation(RestController.class))
-		            .apis(RequestHandlerSelectors.withClassAnnotation(DNetRestDocumentation.class))
-                    //.paths(PathSelectors.ant("/ds/**"))
-                    .build()
-                .directModelSubstitute(org.joda.time.LocalDate.class, java.sql.Date.class)
-                .directModelSubstitute(org.joda.time.DateTime.class, java.util.Date.class)
-                .apiInfo(apiInfo());
-    }
-
-	private ApiInfo apiInfo() {
-		return new ApiInfoBuilder()
-				.title(title)
-				.description(description)
-				.license(license)
-				.licenseUrl(licenseUrl)
-				.termsOfServiceUrl("")
-				.version("1.0.0")
-				.contact(new Contact(contactName, contactUrl, contactEmail))
-				.build();
-	}
-
-}

Property changes on: modules/dnet-container-parent/trunk/src/main/java/eu/dnetlib/swagger/configuration/SwaggerDocumentationConfig.java
___________________________________________________________________
Deleted: svn:executable
## -1 +0,0 ##
-*
\ No newline at end of property
Index: modules/dnet-container-parent/trunk/src/main/java/eu/dnetlib/swagger/configuration/RFC3339DateFormat.java
===================================================================
--- modules/dnet-container-parent/trunk/src/main/java/eu/dnetlib/swagger/configuration/RFC3339DateFormat.java	(revision 47131)
+++ modules/dnet-container-parent/trunk/src/main/java/eu/dnetlib/swagger/configuration/RFC3339DateFormat.java	(nonexistent)
@@ -1,19 +0,0 @@
-package eu.dnetlib.swagger.configuration;
-
-import java.text.FieldPosition;
-import java.util.Date;
-
-import com.fasterxml.jackson.databind.util.ISO8601DateFormat;
-import com.fasterxml.jackson.databind.util.ISO8601Utils;
-
-public class RFC3339DateFormat extends ISO8601DateFormat {
-
-  // Same as ISO8601DateFormat but serializing milliseconds.
-  @Override
-  public StringBuffer format(Date date, StringBuffer toAppendTo, FieldPosition fieldPosition) {
-    String value = ISO8601Utils.format(date, true);
-    toAppendTo.append(value);
-    return toAppendTo;
-  }
-
-}

Property changes on: modules/dnet-container-parent/trunk/src/main/java/eu/dnetlib/swagger/configuration/RFC3339DateFormat.java
___________________________________________________________________
Deleted: svn:executable
## -1 +0,0 ##
-*
\ No newline at end of property
Index: modules/dnet-container-parent/trunk/src/main/java/eu/dnetlib/EndpointDocController.java
===================================================================
--- modules/dnet-container-parent/trunk/src/main/java/eu/dnetlib/EndpointDocController.java	(revision 47131)
+++ modules/dnet-container-parent/trunk/src/main/java/eu/dnetlib/EndpointDocController.java	(nonexistent)
@@ -1,38 +0,0 @@
-package eu.dnetlib;
-
-import java.util.List;
-import java.util.Set;
-import java.util.stream.Collectors;
-import java.util.stream.Stream;
-
-import org.apache.commons.logging.Log;
-import org.apache.commons.logging.LogFactory;
-import org.springframework.beans.factory.annotation.Autowired;
-import org.springframework.web.bind.annotation.RequestMapping;
-import org.springframework.web.bind.annotation.RequestMethod;
-import org.springframework.web.bind.annotation.RestController;
-import org.springframework.web.servlet.mvc.method.annotation.RequestMappingHandlerMapping;
-
-/**
- * Created by claudio on 30/11/2016.
- */
-@RestController
-public class EndpointDocController {
-
-	private static final Log log = LogFactory.getLog(EndpointDocController.class);
-
-	@Autowired
-	private List<RequestMappingHandlerMapping> handlerMappings;
-
-	@RequestMapping(value = "/endpointdoc", method = RequestMethod.GET)
-	public Set<String> show() {
-		return handlerMappings.stream()
-				.map(h -> h.getHandlerMethods().entrySet().stream()
-						.map(m -> m.getKey())
-						.map(i -> i.toString()))
-				.reduce(Stream::concat)
-				.orElseGet(Stream::empty)
-				.collect(Collectors.toSet());
-	}
-
-}
Index: modules/dnet-container-parent/trunk/pom.xml
===================================================================
--- modules/dnet-container-parent/trunk/pom.xml	(revision 47131)
+++ modules/dnet-container-parent/trunk/pom.xml	(revision 47132)
@@ -78,37 +78,9 @@
 					<groupId>org.bouncycastle</groupId>
 					<artifactId>bcprov-jdk15on</artifactId>
 				</exclusion>
-                <exclusion>
-                        <groupId>net.sf.ehcache</groupId>
-                        <artifactId>ehcache</artifactId>
-                </exclusion>
 			</exclusions>
 		</dependency>
-
-		<!-- SWAGGER -->
 		<dependency>
-			<groupId>com.fasterxml.jackson.datatype</groupId>
-			<artifactId>jackson-datatype-joda</artifactId>
-			<version>${jackson.version}</version>
-		</dependency>
-		<dependency>
-			<groupId>joda-time</groupId>
-			<artifactId>joda-time</artifactId>
-			<version>2.8.2</version>
-		</dependency>
-
-		<dependency>
-			<groupId>io.springfox</groupId>
-			<artifactId>springfox-swagger2</artifactId>
-			<version>${springfox-version}</version>
-		</dependency>
-		<dependency>
-			<groupId>io.springfox</groupId>
-			<artifactId>springfox-swagger-ui</artifactId>
-			<version>${springfox-version}</version>
-		</dependency>
-
-		<dependency>
 			<groupId>eu.dnetlib</groupId>
 			<artifactId>cnr-config</artifactId>
 			<version>[1.0.0,2.0.0)</version>
@@ -124,11 +96,6 @@
 			<version>[1.0.0,2.0.0)</version>
 		</dependency>
 	</dependencies>
-
-	<properties>
-		<springfox-version>2.5.0</springfox-version>
-	</properties>
-
 </project>
 
 